# tracker
.venv/bin/meshnet-tracker start --host 0.0.0.0 --port 8080
  .\.venv\Scripts\python.exe -m meshnet_tracker.cli start --host 127.0.0.1 --port 8080 --billing-db .\billing.sqlite      


# node
  .\.venv\Scripts\python.exe -m meshnet_node.cli start --tracker http://localhost:8080 --model  Qwen/Qwen2.5-0.5B-Instruct --port 7000 --debug   
  # works wsl 
.\.venv\Scripts\python.exe -m meshnet_node.cli start --tracker http://192.168.0.179:8081 --model  Qwen/Qwen2.5-0.5B-Instruct  --shard-start 10 --port 7000 --debug     --advertise-host 192.168.0.20     
# works win ps
  meshnet-node start --tracker http://192.168.0.179:8081  --model Qwen/Qwen2.5-0.5B-Instruct   --shard-start 10   --quantization bfloat16   

 #win
 .venv/bin/meshnet-node start --tracker http://192.168.0.179:8081  --model Qwen/Qwen2.5-0.5B-Instruct --shard-start 20 --advertise-host 192.168.0.20



.\.venv\Scripts\meshnet-node.exe start http://192.168.0.179:8081 --model-id Qwen/Qwen2.5-0.5B-Instruct  --advertise-host 192.168.0.20
 .\.venv\Scripts\meshnet-node.exe start --tracker http://ai.neuron.d-popov.com  --model-id Qwen/Qwen2.5-0.5B-Instruct  --advertise-host 192.168.0.20      

 we .\.venv\Scripts\meshnet-node.exe start `                                                                                                                                            
    --tracker http://192.168.0.179:8081 `                                                                                                                                             
    --model Qwen/Qwen2.5-0.5B-Instruct `                                                                                                                                              
    --advertise-host 192.168.0.20                                                                                                                                                     
   #  trackers:
 https://meshnet.2.d-popov.com 
 https://ai.neuron.d-popov.com 

 # Models
 qwen3.6-35b-a3b  Qwen/Qwen2.5-0.5B-Instruct  Qwen3.6-27B  

# linux                     
HF_HOME=/run/media/popov/d/DEV/models     .venv/bin/meshnet-node start       --model-id Qwen/Qwen2.5-0.5B-Instruct       --shard-start 0       --shard-end 21       --quantization bfloat16       --tracker http://localhost:8081  
HF_HOME=/run/media/popov/d/DEV/models  .venv-rocm/bin/meshnet-node  start --tracker https://meshnet.2.d-popov.com   --model  qwen3.6-35b-a3b   --shard-start 10 
 meshnet-node start --tracker http://192.168.0.179:8080 --model Qwen/Qwen2.5-0.5B-Instruct  --shard-start 0 --shard-end 20  

HF_HOME=/run/media/popov/d/DEV/models .venv-rocm/bin/meshnet-node start --tracker https://meshnet.2.d-popov.com   --model Qwen/Qwen2.5-0.5B-Instruct   --shard-start 10  
.venv-rocm/bin/meshnet-node start --tracker https://meshnet.2.d-popov.com   --model Qwen3.6-27B  

 meshnet-node start --tracker https://meshnet.2.d-popov.com   --model  qwen3.6-35b-a3b --cpu   

meshnet-node start --tracker https://meshnet.2.d-popov.com --model qwen3.6-35b-a3b --shard-start 0   --shard-end 21 --node-name gpu-head
meshnet-node start --tracker https://meshnet.2.d-popov.com --model qwen3.6-35b-a3b --shard-start 22   --shard-end 39 --cpu --node-name cpu-tail


meshnet-node start --tracker https://meshnet.2.d-popov.com --model Qwen/Qwen2.5-0.5B-Instruct  --shard-end 20          --node-name gpu-head
meshnet-node start --tracker https://meshnet.2.d-popov.com --model Qwen/Qwen2.5-0.5B-Instruct  --shard-start 12  --cpu --node-name cpu-tail

# win
 meshnet-node start --tracker http://ai.neuron.d-popov.com --model Qwen/Qwen2.5-0.5B-Instruct   --shard-start 10 
 meshnet-node start --tracker http://192.168.0.179:8081  --model Qwen/Qwen2.5-0.5B-Instruct   --shard-start 10 




  Then test tracker API:                                                                   
                                                                                           
  curl http://localhost:8080/v1/health                                                     
  curl http://localhost:8080/v1/models                                                     
                                                                                           
  Because billing is enabled, chat calls need a Bearer key:                                
                                                                                           
  curl http://192.168.0.179:8081 /v1/chat/completions `                                         
    -H "Content-Type: application/json" `                                                  
    -H "Authorization: Bearer test-key" `                                                  
    -d '{"model":"stub-model","messages":[{"role":"user","content":"hi"}]}'   



# problems spotted
1. no benchmark at node start
2. CUDA stopped working on windows PS
3. solana/crypto does not work on linux tracker. does it still work on windows?

# corrected malformed node command (original notes preserved above)
HF_HOME=/run/media/popov/d/DEV/models .venv-rocm/bin/meshnet-node start --tracker https://meshnet.2.d-popov.com --model Qwen3.6-27B

# explicit Hugging Face model (namespace required to bypass tracker preset lookup)
HF_HOME=/run/media/popov/d/DEV/models .venv-rocm/bin/meshnet-node start --tracker https://meshnet.2.d-popov.com --model Qwen/Qwen3.6-27B --download-dir /run/media/popov/d/DEV/models
